\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
		\begin{axis}[
			width=0.9\linewidth,
%			axis y line*=left,
			%	  ymin=0, ymax=80,
			ymin=0,
			xlabel=Número de \textit{threads},
			ylabel=\textit{Speedup},
			%
			xmode=log,
			log basis x={2},
			log ticks with fixed point,
			%
			ymajorgrids,
			ymode=log,
			log basis y={2},
			%
			legend pos=south east,
		]
		\addplot table[x={Number of threads}, y={Speedup}, col sep=comma] {../../resultados/pi_benchmark/pi_1E8_speedup.csv}; \label{plot:pi-speedup}
		\addplot [domain=1:272, samples=2]{x}; \label{plot:pi-speedup-ideal}
		
		\addlegendimage{/pgfplots/refstyle=plot:pi-speedup}\addlegendentry{\textit{Speedup} real}
		\addlegendimage{/pgfplots/refstyle=plot:pi-speedup-ideal}\addlegendentry{\textit{Speedup} ideal}
		\end{axis}
		
%		\begin{axis}[
%			axis y line*=right,
%			axis x line=none,
%			%	  ymin=0, ymax=100,
%			ymin=0,
%			ymax=1.05,
%			ylabel=Eficiencia,
%			%
%			xmode=log,
%			log basis x={2},
%			log ticks with fixed point,
%			legend pos = south east,
%			ymajorgrids=false,
%		]
%		\addlegendimage{/pgfplots/refstyle=plot:pi-speedup}\addlegendentry{\textit{Speedup} real}
%		\addlegendimage{/pgfplots/refstyle=plot:pi-speedup-ideal}\addlegendentry{\textit{Speedup} ideal}
%		\addplot [mark=square*, red] table[x={Number of threads}, y={Efficiency}, col sep=comma] {../../resultados/pi_benchmark/pi_1E8_speedup.csv};
%		\addlegendentry{Eficiencia}
%		\end{axis}

	\end{tikzpicture}
	\caption{Variación en el \textit{speedup} según el número de \textit{threads} involucrados en el cálculo de $\pi$ para 100,000,000 iteraciones.}
	\label{fig:resultados-pi-speedup}
\end{figure}